# RPM specfile for galeon module
# Generated Fri May 17 19:22:11 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.36 2002/05/17 18:45:46 frb Exp $

%define nam	galeon
%define ver	1.2.0
%define ximrev	1

Name:     	galeon
Version: 	1.2.0
Release:	9.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

Source0:	galeon-1.2.0.tar.gz
Patch0:		galeon-xpm.patch
Patch1:		galeon-1.2-form-submit.patch
Summary:	Mozilla-based web browser with the GNOME look and feel
Group:		Applications/Internet
Requires:	mozilla >= 35:0.9.9
Provides:	ximian-default = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	GConf >= 1.0.4
Prereq:	scrollkeeper

%description
Galeon is a lightweight web browser which employs the GNOME
infrastructure to create a minimal, but intuitive, GUI.

Galeon's use of Mozilla's Gecko rendering engine makes it
more feature complete and standards compliant than other
lightweight browsers.

%files
%defattr(-, root, root)
%doc COPYING.README FAQ INSTALL NEWS README TODO
/etc/opt/gnome/sound/events/galeon.soundlist
/etc/opt/gnome/gconf/schemas/galeon.schemas
/opt/gnome/bin/*
/opt/gnome/share/galeon/*
/opt/gnome/lib/galeon/components/*
/opt/gnome/share/gnome/apps/Internet/*
/opt/gnome/share/icons/galeon.xpm
/opt/gnome/*/locale/*/LC_MESSAGES/*
/opt/gnome/share/oaf/GNOME_Galeon_Automation.oaf
/opt/gnome/share/sounds/galeon/*
/opt/gnome/share/pixmaps/galeon.png
/opt/gnome/share/gnome/help/galeon-manual/*
/opt/gnome/share/omf/galeon/*
/opt/gnome/man/man1/*


%post
/opt/gnome/bin/galeon-config-tool --fix-gconf-permissions
GCONF_CONFIG_SOURCE=`/opt/gnome/bin/gconftool-1 --get-default-source` /opt/gnome/bin/gconftool-1 --makefile-install-rule /etc/opt/gnome/gconf/schemas/galeon.schemas
env PATH=/opt/gnome/bin:${PATH} scrollkeeper-update >/dev/null 2>&1

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n galeon-1.2.0
    ;;
all)
%setup  -q -n galeon-1.2.0
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    automake --gnu --add-missing --include-deps; ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --with-mozilla-home=/opt/gnome/lib/mozilla --with-mozilla-includes=/opt/gnome/include/mozilla --with-nspr-includes=/opt/gnome/include/nspr --disable-install-schemas --disable-nautilus-view
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri May 17 2002 Ximian, Inc.

- Version: 1.2.0-9.ximian.1
- Summary: New build.
- New automated build.

